Next Commerce
Webhooks

Webhooks Create

Create a new webhook.

POST
/webhooks/

Authorization

oauth2 webhooks:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: webhooks:write

Header Parameters

X-29next-API-Version*string
Default"unstable"
Value in"unstable"

Request Body

active?boolean
api_version?|
events*array<|>

See dashboard for webhooks for available events.

name?|
secret_key?|
target*string

Full url for your webhook receiver endpoint.

Formaturi
Lengthlength <= 255

Response Body

application/json

curl -X POST "https://example.29next.store/api/admin/webhooks/" \
  -H "X-29next-API-Version: unstable" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{
    "events": [
      "string"
    ],
    "target": "http://example.com"
  }'
{
  "active": true,
  "api_version": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "events": [
    "string"
  ],
  "id": 0,
  "name": "string",
  "next_check_date": "2019-08-24T14:15:22Z",
  "secret_key": "string",
  "target": "http://example.com",
  "updated_at": "2019-08-24T14:15:22Z",
  "warning_count": 0
}